Opened 5 months ago

Closed 5 months ago

#2083 closed Bug (fixed)

surface flux not masked: bug if isf cavity

Reported by:mathiot Component: OCE
Version: release-3.6 Severity: minor
Keywords: ISF, fluxes, Cc:
Management
Owned by:mathiot Milestone:
Priority: low

Description

Context

Some surface flux variables are not masked and could affect model results if ice shelf.

Analysis

  • This is a cosmetic issue if no ice shelf and fields mask during post-processing (budget computation for example)
  • This is a bug if ice shelf cavity opened because if emp (ie precip, snow and ssr in some case), runoff are not 0 over the ice shelf it will affect the ssh beneath the ice shelf.

It affect 3.6_STABLE and the trunk

Fix

mask surface fluxes with tmask(:,:,1):

  • zerp and zqrp in sbcssr
  • rnf in sbcrnf
  • elap, evap, cseep, esre in sbcblk_mfs
  • tprecip, sprecip, qns in sbcblk_core
  • tprecip, qla_ice, z_qlw, sprecip, zqla, zqsb, zqlw in sbcblk_clio

Commit History (3)

ChangesetAuthorTimeChangeLog
9727mathiot2018-06-01T18:52:17+02:00

Fix for #2083 (surface flux not masked: bug if isf cavity) in trunk

9569mathiot2018-05-11T11:49:14+02:00

forgot to correct mask qns and emp in sbcflx (see #2083)

9567mathiot2018-05-10T16:26:43+02:00

apply tmask(:,:,1) to erp, qrp, precip, snow, rnf, qns to fix #2083

Change History (12)

comment:1 Changed 5 months ago by mathiot

  • Resolution set to fixed
  • Status changed from new to closed

In 9567:

apply tmask(:,:,1) to erp, qrp, precip, snow, rnf, qns to fix #2083

Code review status: pending

comment:2 Changed 5 months ago by mathiot

  • Fix for version 3.6_stable in r9567
  • will be fixed in trunk once dev_merge_2017 will be merged into the trunk

comment:3 follow-up: Changed 5 months ago by mathiot

  • Keywords ISF fluxes added
  • Resolution fixed deleted
  • Status changed from closed to reopened

Ticket has been closed during the commit. Ticket needs to be kept open as not yet done for the trunk.

comment:4 Changed 5 months ago by mathiot

Forgot to mention: NO change in SETTE test results

comment:5 in reply to: ↑ 3 Changed 5 months ago by nicolasmartin

Replying to mathiot:

Ticket has been closed during the commit. Ticket needs to be kept open as not yet done for the trunk.

This was related to the your commit message, the syntax 'fix #2083' was interpreted as a command to close the ticket. You should use the syntax 'ref #2083' instead when you push a partial commit
See wiki:Developers/WorkingFAQ#commitmessage for more

comment:6 Changed 5 months ago by mathiot

In 9569:

forgot to correct mask qns and emp in sbcflx (see #2083)

Code review status: pending

comment:7 Changed 5 months ago by mathiot

TRUSTING failed this night (10/05/18) because some restart fields changed in ORCA2LIMPISCES and AMM12.

  • In O2LIMPISCES, as expected emp_b, rnf_b, hdiv_n and hdiv_b changed over land. Other restart fields didn't change. TRUSTING for this configuration could be restarted.
  • In AMM12, rnf_b changed unexpectedly. It apears, in AMM12, runoff is defined in point (1,1), ie on 'land' point. All other fields are similar. TRUSTING for this configuration could be restarted.

comment:8 Changed 5 months ago by mathiot

Yesterday, I forgot to apply mask in sbcflx (AMM12). It is corrected in r9569. There is no change in the results (solver.stat). However, TRUSTING is expected to fail for AMM12 with ' Restarts: ./AMM12_trust_00000576_restart_oce_out 2 record(s) differ ' because qns_b and emp_b will change over land.

comment:9 follow-up: Changed 5 months ago by mathiot

The TRUSTING failed. 2 extra variables (in addition to the ones mentioned above) changed. The masking of surface flux changes also the land value only of sbc_hc_b and tb in AMM12. The new land value is 0.0. Previously in AMM12, the land value of tb and sbc_hc_b was not 0.0 because surface flux was not 0.0. All looks normal. TRUSTING for this configuration could be restarted.

comment:10 in reply to: ↑ 9 Changed 5 months ago by nicolasmartin

Replying to mathiot:

The TRUSTING failed. 2 extra variables (in addition to the ones mentioned above) changed. The masking of surface flux changes also the land value only of sbc_hc_b and tb in AMM12. The new land value is 0.0. Previously in AMM12, the land value of tb and sbc_hc_b was not 0.0 because surface flux was not 0.0. All looks normal. TRUSTING for this configuration could be restarted.

Thanks for the clarification.
I will update the benchmark results with the last commit.

comment:11 Changed 5 months ago by mathiot

In 9727:

Fix for #2083 (surface flux not masked: bug if isf cavity) in trunk

Code review status: pending

comment:12 Changed 5 months ago by mathiot

  • Resolution set to fixed
  • Status changed from reopened to closed

Fix in r9727 (trunk) and r9567 (3.6_stable)

Note: See TracTickets for help on using tickets.